#ifndef BISON_Y_TAB_H
# define BISON_Y_TAB_H

#ifndef YYSTYPE
typedef union {
	struct symlist  *symlist;	/* List of symbols in variable decl */
	struct typelist *typelist;	/* List of types in array decl */
	struct typesdef *type;		/* Expression type */
	struct sym      *symbol;	/* Pointer to symbol */
	struct expr     *expr;		/* expression tree */
	char            *inaddr;	/* IP address */
	char            *string;	/* string buffer */
	char             chrarg;	/* character argument */
	int              intarg;	/* integer argument */
	int              op;		/* arithmetic operation */
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	QSTRING	257
# define	NUM	258
# define	INADDR	259
# define	ID	260
# define	CHR	261
# define	ADDOP	262
# define	MULOP	263
# define	COMPARISON	264
# define	OROP	265
# define	XOROP	266
# define	ANDOP	267
# define	NOTOP	268
# define	VAR	269
# define	CONST	270
# define	TYPE	271
# define	SCREEN	272
# define	PROCEDURE	273
# define	FUNCTION	274
# define	ARRAY	275
# define	RECORD	276
# define	RETURN	277
# define	RESTART	278
# define	PRINT	279
# define	SELECT	280
# define	ITEM	281
# define	IF	282
# define	ELSE	283
# define	GOTOXY	284
# define	TIMEOUT	285
# define	LOAD	286
# define	FROM	287
# define	GATEWAY	288
# define	GET	289
# define	MENU	290
# define	REPEAT	291
# define	UNTIL	292
# define	AT	293
# define	WITH	294
# define	THEN	295
# define	WHILE	296
# define	DO	297
# define	BREAK	298
# define	DEFAULT	299
# define	ASSIGN	300
# define	OF	301
# define	CBEGIN	302
# define	END	303
# define	DOTS	304
# define	THEN_PREC	305
# define	UMINUS	306


extern YYSTYPE yylval;

#endif /* not BISON_Y_TAB_H */
