!**************************************************************************
!*
!* Boot-ROM-Code to load an operating system across a TCP/IP network.
!*
!* Module:  memory.inc
!* Purpose: Definitions for boot rom memory layout
!* Entries: None
!*
!**************************************************************************
!*
!* Copyright (C) 1995-2003 Gero Kuhlmann <gero@gkminix.han.de>
!*
!*  This program is free software; you can redistribute it and/or modify
!*  it under the terms of the GNU General Public License as published by
!*  the Free Software Foundation; either version 2 of the License, or
!*  any later version.
!*
!*  This program is distributed in the hope that it will be useful,
!*  but WITHOUT ANY WARRANTY; without even the implied warranty of
!*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!*  GNU General Public License for more details.
!*
!*  You should have received a copy of the GNU General Public License
!*  along with this program; if not, write to the Free Software
!*  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
!*
!* $Id: memory.inc,v 1.4 2003/01/25 23:29:40 gkminix Exp $
!*

#ifndef _MEMORY_INC
#define _MEMORY_INC


!
!**************************************************************************
!
! If _USE_ASSEMBLER is not defined yet we have to include general.inc. Then
! it is possible to also include necessary C header files here.
!
#ifndef _USE_ASSEMBLER
#include <general.inc>
#endif
#include <memory.h>


!
!**************************************************************************
!
#endif

