/*
 * console.h  -  Include file for user interface routines
 *
 * Copyright (C) 1998-2003 Gero Kuhlmann <gero@gkminix.han.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: console.h,v 1.4 2003/01/25 23:29:42 gkminix Exp $
 */

#ifndef _CONSOLE_H_
#define _CONSOLE_H_



/* Number of lines to print for list output */
#define LISTLINES	20



/*
 * External routines
 */
extern char *getstring __P((char *prompt));
extern long getnum __P((char *prompt, long min, long max, int hex));
extern int getsel __P((char *prompt, int minsel, int maxsel, int defsel));
extern int getyn __P((char *prompt, int def));
extern char *getfilename __P((char *prompt, char *searchdir, char *pattern));

#endif

