/*
 * md5.h  -  Include file for MD5 checksum routines
 *
 * Copyright (C) 2002-2003 Gero Kuhlmann <gero@gkminix.han.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: md5.h,v 1.2 2003/01/25 23:29:42 gkminix Exp $
 */

#ifndef _MD5_H_
#define _MD5_H_



/* Size of one MD5 checksum in characters */
#define MD5_SUM_LENGTH	32



/*
 * External routines
 */
extern void readmd5 __P((char *fname));
extern void checkmd5sum __P((char **fname, char *md5sum));
extern void clearmd5 __P((void));

#endif

