/*
 * Linker script for boot sector files with common text and data
 * segments
 *
 * $Id: ldscript.boot,v 1.1 2003/03/09 00:43:09 gkminix Exp $
 */
OUTPUT_FORMAT("binary")
OUTPUT_ARCH(i386)
SECTIONS
{
  . = 0x00007C00;
  .text : AT(0x00007C00)
  {
    CREATE_OBJECT_SYMBOLS
    *(.text)
    __text_end = .;
  }
  .data :
  {
    __data_start = .;
    *(.rodata)
    *(.data)
    CONSTRUCTORS
    __data_end  =  .;
  }
  .bss :
  {
    __bss_start = .;
   *(.bss)
   *(COMMON)
   __bss_end = ALIGN(4) ;
  }
}

